#Copyright (C) 2005 Pol Danilov
###############################################################################
#    This file is part of "SIL".
#
#    A copy of the GNU General Public License should be included with any
#    redistribution of this program in a file named "COPYING".
#
#    "SIL" is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    "SIL" is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with "SIL"; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
###############################################################################

#from __main__ import pygame
import pygame


class Agent(pygame.sprite.Sprite):
    """defines a SIL Agent moving player sprite"""
    def __init__(self, filename):
        pygame.sprite.Sprite.__init__(self) #call Sprite initializer
        self.image = pygame.image.load(filename).convert()
        self.rect = self.image.get_rect()
        self.status = 'still'

    def update(self):
        print self.status


        
class ButtonsGroup(pygame.sprite.AbstractGroup):
    def __init__(self):
       pygame.sprite.AbstractGroup__(self) #call AbstractGroup initializer
